Bug 18169 - <track> The DOM API should be able to read and set the "auto" value for TextTrackCue.line
Summary: <track> The DOM API should be able to read and set the "auto" value for TextT...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:31 UTC by contributor
Modified: 2012-09-28 05:46 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:31:27 UTC
This was was cloned from bug 16915 as part of operation convergence.
Originally filed: 2012-05-03 09:22:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-03 09:22:39 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#texttrackcue
Complete: http://www.whatwg.org/c#texttrackcue

Comment:
The DOM API should be able to read and set the "auto" value for
TextTrackCue.line

Posted from: 88.131.66.80 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.3; U; en) Presto/2.10.229 Version/11.62
================================================================================
 #1   Simon Pieters                                   2012-05-03 09:25:35 +0000 
--------------------------------------------------------------------------------
I think the current situation is not optimal -- it's not possible to tell if a cue has position 0 or auto, and if you want to change the position to auto, you have to create a new cue and copy over all other properties.

I think the IDL should be something like

enum LinePositionKeyword { "auto" };
...
           attribute (long or LinePositionKeyword) line;
...

and then prose handling "auto" as appropriate.
================================================================================
 #2   Simon Pieters                                   2012-05-03 09:30:22 +0000 
--------------------------------------------------------------------------------
Also currently the following line makes the cue change position from the bottom to the top, which seems weird:

cue.line = cue.line;
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-28 05:46:37 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/eb386e6fe2decb90e31b23fc0461c1b13d9d6bd0
Rationale: adopted resolution by WHATWG